# ShippingAddress - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.payments / ShippingAddress

# ShippingAddress

(common) `data class ShippingAddress` (source)

### Constructors

(common)

#### <init>

`ShippingAddress(countryCode: String, city: String, firstStreetLine: String, secondStreetLine: String, state: String = "", postCode: String = "")`

### Properties

(common)

#### city

`val city: String`

(common)

#### countryCode

`val countryCode: String`

(common)

#### firstStreetLine

`val firstStreetLine: String`

(common)

#### postCode

`val postCode: String`

(common)

#### secondStreetLine

`val secondStreetLine: String`

(common)

#### state

`val state: String`